%define majver %(echo %version | cut -d . -f1-2)
%define minver %(echo %version | cut -d . -f3)
#%define soname 

Name:          gsm
Version:       1.0.17
Release:       1mamba
Summary:       GSM 06.10 lossy speech compression library
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.quut.com/gsm
Source:        http://www.quut.com/gsm/gsm-%{version}.tar.gz
Patch0:        gsm-1.0.17-shared-lib.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      libgsm = %{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GSM 06.10 lossy speech compression library.

%package -n libgsm
Group:         System/Libraries
Summary:       GSM 06.10 lossy speech compression library

%description -n libgsm
GSM 06.10 lossy speech compression library.
This package contains the shared library files.

%package -n libgsm-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libgsm = %{version}-%{release}

%description -n libgsm-devel
GSM 06.10 lossy speech compression library.

This package contains static libraries and header files need for development.

%prep
%setup -q -n gsm-%{majver}-pl%{minver}
%patch0 -p0

%build
%make all \
%ifarch x86_64
   LTP_CUT="-fPIC"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d \
   %{buildroot}%{_bindir} \
   %{buildroot}%{_libdir} \
   %{buildroot}%{_includedir}/gsm \
   %{buildroot}%{_mandir}/{man1,man3}

make install \
   INSTALL_ROOT=%{buildroot} \
   TOAST_INSTALL_BIN=%{buildroot}%{_bindir} \
   TOAST_INSTALL_MAN=%{buildroot}%{_mandir}/man1 \
   GSM_INSTALL_LIB=%{buildroot}%{_libdir} \
   GSM_INSTALL_INC=%{buildroot}%{_includedir}/gsm \
   GSM_INSTALL_MAN=%{buildroot}%{_mandir}/man3

#install -m0755 lib/libgsm.so.%{soname} %{buildroot}%{_libdir}
#ln -s libgsm.so.%{soname} %{buildroot}%{_libdir}/libgsm.so.1
#ln -s libgsm.so.%{soname} %{buildroot}%{_libdir}/libgsm.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libgsm -p /sbin/ldconfig
%postun -n libgsm -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/tcat
%{_bindir}/toast
%{_bindir}/untoast
%{_mandir}/man1/toast.1*

%files -n libgsm
%defattr(-,root,root)
%{_libdir}/libgsm.so.*

%files -n libgsm-devel
%defattr(-,root,root)
%{_includedir}/gsm/*.h
%{_libdir}/libgsm.so
%{_mandir}/man3/gsm*.3*
%doc ChangeLog README

%changelog
* Mon Feb 12 2018 Automatic Build System <autodist@mambasoft.it> 1.0.17-1mamba
- automatic version update by autodist

* Wed Jan 04 2017 Automatic Build System <autodist@mambasoft.it> 1.0.16-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14-1mamba
- update to 1.0.14

* Sun Jun 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-3mamba
- install includes in default directory (%includedir/gsm)

* Thu Oct 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-2mamba
- added shared library (makefile patch)

* Sat May 02 2009 Automatic Build System <autodist@mambasoft.it> 1.0.13-1mamba
- automatic update by autodist

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.12-1mamba
- package created by autospec
